params.h File Reference
Change and Precalculate Energy Parameter Sets and Boltzmann Factors
Include dependency graph for params.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

paramT * | scale_parameters (void)
| Get precomputed energy contributions for all the known loop types. More...
paramT * | get_scaled_parameters (double temperature, model_detailsT md)
| Get precomputed energy contributions for all the known loop types. More...
pf_paramT * | get_scaled_pf_parameters (void)
pf_paramT * | get_boltzmann_factors (double temperature, double betaScale, model_detailsT md, double pf_scale)
| Get precomputed Boltzmann factors of the loop type dependent energy contributions with independent thermodynamic temperature. More...
pf_paramT * | get_boltzmann_factor_copy (pf_paramT *parameters)
| Get a copy of already precomputed Boltzmann factors. More...
pf_paramT * | get_scaled_alipf_parameters (unsigned int n_seq)
| Get precomputed Boltzmann factors of the loop type dependent energy contributions (alifold variant)
PUBLIC pf_paramT * | get_boltzmann_factors_ali (unsigned int n_seq, double temperature, double betaScale, model_detailsT md, double pf_scale)
| Get precomputed Boltzmann factors of the loop type dependent energy contributions (alifold variant) with independent thermodynamic temperature.